> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Upload a blob and define its ID



## OpenAPI

````yaml /api-reference/4.2/service-blobs.json put /blobs/{id}
openapi: 3.0.0
info:
  version: 4.2.6-rc1
  title: Fusion Service blobs
servers:
  - url: /api/apollo/
security: []
tags:
  - name: blobs
paths:
  /blobs/{id}:
    put:
      tags:
        - 4.2 Blobs API
      summary: Upload a blob and define its ID
      operationId: putBlob
      parameters:
        - name: id
          in: path
          description: The blob ID
          required: true
          schema:
            type: string
            pattern: .*
        - name: If-Match
          in: header
          description: An entity tag to match against the specified blob
          required: false
          schema:
            type: string
            default: '"0"'
        - name: Content-Type
          in: header
          description: The media type of the entity body
          required: false
          schema:
            type: string
            default: application/octet-stream
        - name: fusion-blob-type
          in: header
          description: The blob sub-type of the entity
          required: false
          schema:
            type: string
        - name: commit
          in: query
          description: Whether to commit to Solr Blob store or not
          required: false
          schema:
            type: boolean
            default: true
        - name: update
          in: query
          description: update the data, metadata, or both (default)
          required: false
          schema:
            type: string
            default: both
      requestBody:
        content:
          '*/*':
            schema:
              $ref: '#/components/schemas/InputStream'
        description: The blob to store
      responses:
        default:
          description: successful operation
components:
  schemas:
    InputStream:
      type: object

````